Skip to main content

List all performance policies in NetApp Console local deployment

GET /v1/organizations/{organizationId}/performancepolicies

Retrieves all performance policies within the specified organization.

Parameters

Name Type In Required Description

organizationId

string

path

True

Unique identifier of the organization.

filter

string

query

False

Specifies which fields should be matched when listing resources.

Supported comparison operators:

  • eq - Equality

  • ne - Not equal

  • lt - Less than

  • le - Less than or equal to

  • gt - Greater than

  • ge - Greater than or equal to

  • re - Regular expression match

  • ex - Existence check (field exists)

  • in - Membership test (value in list)

Logical operators:

  • and - Logical AND

  • or - Logical OR

  • not - Logical NOT

Property names support:

  • Dot notation for nested fields: metadata.name

  • Array indexing: items[0].name or items[*].name or items.name

Value types:

  • Strings: wrapped in single quotes ('value') or double quotes ("value")

  • Numbers: integers (42) or floats (3.14)

  • Booleans: true or false

  • Null: null

Grouping:

  • Use parentheses to group expressions and control precedence

  • Example: (a eq 'x' or b eq 'y') and c eq 'z'

IN operator syntax:

  • Use parentheses with comma-separated quoted values

  • Example: resourceType in ('AWS','AZURE','GCP')

Examples:

  • Simple: resourceType eq 'cluster'

  • With negation: not (tags.internal:bxp:workingEnvironmentId ex)

  • Multiple conditions: resourceType eq 'cluster' and state ne 'INACTIVE'

  • With grouping: (resourceType eq 'organization' or state ne 'INACTIVE') and tier gt '1'

  • With IN operator: resourceType in ('AWS','AZURE','GCP') and state eq 'active'

URL-encoded example: "filter=field1%20eq%20'value1'%20or%20field2%20ne%20'value2'"

orderBy

string

query

False

Specifies the field and direction for sorting resources when listing a collection.

Format: field [asc/desc]

Direction keywords (case-insensitive):

  • asc - Ascending order (default if omitted)

  • desc - Descending order

Examples:

  • Field only: orderBy=name (defaults to ascending)

  • Ascending: orderBy=name asc

  • Descending: orderBy=name desc

skip

string

query

False

Specifies the number of resources to skip when listing a collection.

URL examples: "skip=1"

OpenAPI examples: "1"

limit

string

query

False

Specifies the maximum number of resources to return when listing a collection.

URL examples: "limit=2"

OpenAPI examples: "2"

count

string

query

False

Indicates if the total number of resources should be returned in the response object.

URL examples: "count=true"

OpenAPI examples: "true"

Response

Status: 200, Performance policies retrieved successfully.
Name Type Required Description

count

integer

False

Total number of resources in the collection that match the query.

items

array[performance_policy_1.0_get_response_body]

False

List of performance policies.

Example response
{
  "count": 1,
  "items": [
    {
      "adaptive": {
        "absoluteMinIopsPerTb": 800,
        "expectedIopsPerTb": 1000,
        "expectedLatency": 500,
        "peakIopsPerTb": 1500
      },
      "description": "Configuration for high performance workloads",
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "metadata": {
        "createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
        "creationTimestamp": "2022-10-06T20:58:16.305662Z",
        "labels": [],
        "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
        "modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
      },
      "name": "High Performance Policy",
      "organizationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "policyType": "USER_DEFINED",
      "tags": [
        {
          "internal:bxp:metric:associatedWorkloadCnt": "2"
        }
      ],
      "type": "application/vnd.netapp.bxp.performancepolicy",
      "version": "1.0"
    }
  ]
}

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Error

Status: 404, Not found
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404",
  "title": "Collection not found",
  "type": "https://bluexp.netapp.io/problems/2"
}

Definitions

See Definitions

adaptive_perf_policy_1.0

Adaptive performance policy details.

Name Type Required Description

absoluteMinIopsPerTb

integer

False

Absolute minimum IOPS per terabyte that is used as an override when the expected IOPS is less than this value.

expectedIopsPerTb

integer

True

Minimum expected IOPS, per terabyte.

expectedLatency

integer

True

Expected latency, in milliseconds.

peakIopsPerTb

integer

True

Maximum expected IOPS, per terabyte.

type_bxp_label

Name/value pair.

Name Type Required Description

name

string

True

Name of the label.

value

string

True

Value of the label.

type_bxp_metadata

Metadata associated with the resource.

Name Type Required Description

createdBy

string

False

UUID of the user who created the resource.

creationTimestamp

string

False

Resource creation date.

labels

array[type_bxp_label]

False

Array of name/value pairs representing additional information for the resource.

modificationTimestamp

string

False

Resource modification date.

modifiedBy

string

False

UUID of the user who modified the resource.

tags Hash mapping strings to string

performance_policy_1.0_get_response_body

Name Type Required Description

adaptive

adaptive_perf_policy_1.0

False

Adaptive performance policy details.

description

string

False

Description of the performance policy.

id

string

True

Unique identifier of the performance policy.

metadata

type_bxp_metadata

False

Metadata associated with the resource.

name

string

True

Name of the performance policy.

organizationId

string

False

Organization ID that the policy is associated with.

policyType

string

False

Type of the performance policy.

tags

array[tags]

False

JSON array of tags (name/value pairs) associated with the performance policy. Can be used to add any additional data related to the performance policy.

type

string

False

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.performancepolicy"

version

string

False

Version of the resource schema. Defined values are:

  • "1.0"

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.